CopySourceSpec (Gradle API 8.14.1)
Description: declaration: package: org.gradle.api.file, interface: CopySourceSpec

Package org.gradle.api.file

# Interface CopySourceSpec

All Known Subinterfaces:
  `CopySpec`, `SyncSpec`

All Known Implementing Classes:
  `AbstractArchiveTask`, `AbstractCopyTask`, `Copy`, `Ear`, `Jar`, `Jar`, `ProcessResources`, `Sync`, `Tar`, `War`, `Zip`

public interface CopySourceSpec
Specifies sources for a file copy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CopySourceSpec`
  `from(Object... sourcePaths)`
  Specifies source files or directories for a copy.
  `CopySourceSpec`
  `from(Object sourcePath, Closure configureClosure)`
  Specifies the source files or directories for a copy and creates a child `CopySourceSpec`.
  `CopySourceSpec`
  `from(Object sourcePath, Action<? super CopySpec> configureAction)`
  Specifies the source files or directories for a copy and creates a child `CopySpec`.

- ## Method Details

  - ### from

    CopySourceSpec from(Object... sourcePaths)
    Specifies source files or directories for a copy. The given paths are evaluated as per `Project.files(Object...)`.
    Parameters:
      `sourcePaths` - Paths to source files for the copy

  - ### from

    CopySourceSpec from(Object sourcePath, @DelegatesTo(CopySpec.class) Closure configureClosure)
    Specifies the source files or directories for a copy and creates a child `CopySourceSpec`. The given source path is evaluated as per `Project.files(Object...)` .
    Parameters:
      `sourcePath` - Path to source for the copy
      `configureClosure` - closure for configuring the child CopySourceSpec

  - ### from

    CopySourceSpec from(Object sourcePath, Action<? super CopySpec> configureAction)
    Specifies the source files or directories for a copy and creates a child `CopySpec`. The given source path is evaluated as per `Project.files(Object...)` .
    Parameters:
      `sourcePath` - Path to source for the copy
      `configureAction` - action for configuring the child CopySpec